Bug 1095035 - [RHEL7][Storage]The "lazy_refcounts" feature was missing in the xml printed by vol-dumpxml for a qcow3 disk in a native gluster pool
Summary: [RHEL7][Storage]The "lazy_refcounts" feature was missing in the xml printed b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libvirt
Version: 7.1
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Peter Krempa
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-07 03:14 UTC by Yang Yang
Modified: 2015-03-05 07:35 UTC (History)
6 users (show)

Fixed In Version: libvirt-1.2.7-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 07:35:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0323 0 normal SHIPPED_LIVE Low: libvirt security, bug fix, and enhancement update 2015-03-05 12:10:54 UTC

Comment 1 Peter Krempa 2014-07-01 15:42:47 UTC
Fixed upstream:

commit 88f3f7c3901e0b5455796d4213767dd2a4f48045
Author: Peter Krempa <pkrempa@redhat.com>
Date:   Tue Jul 1 16:50:06 2014 +0200

    conf: storage: Add volume feature formatter for gluster pools
    
    Libvirt didn't output feature flags for images stored on native gluster.
    Fix this trivially by adding a feature formatter callback.
    
    Resolves: https://bugzilla.redhat.com/show_bug.cgi?id=1095035

$ git desc
v1.2.6-rc2-15-gf412fc9

Comment 3 Xuesong Zhang 2014-12-23 11:14:30 UTC
Verify this bug with the following package version:
libvirt-1.2.8-11.el7.x86_64
qemu-img-rhev-2.1.2-17.el7.x86_64
kernel-3.10.0-219.el7.x86_64 

Steps:
1. prepare one gluster pool, there is one volume is qcow2v3 format.
# virsh pool-list 
 Name                 State      Autostart 
-------------------------------------------
 default              active     yes       
 gluster-pool         active     no        

# virsh vol-list gluster-pool
 Name                 Path                                    
------------------------------------------------------------------------------
 qcow3                gluster://#glusterServerIP#/gluster-vol1/qcow3
 test.qcow2           gluster://#glusterServerIP#/gluster-vol1/test.qcow2
 test.raw             gluster://#glusterServerIP#/gluster-vol1/test.raw

2. checking the vol-dumpxml of the qcow2v3 format volume, the "<lazy_refcounts/>" is there as expected.
# virsh vol-dumpxml qcow3 gluster-pool
<volume type='network'>
  <name>qcow3</name>
  <key>gluster://#glusterServerIP#/gluster-vol1/qcow3</key>
  <source>
  </source>
  <capacity unit='bytes'>1073741824</capacity>
  <allocation unit='bytes'>197120</allocation>
  <target>
    <path>gluster://#glusterServerIP#/gluster-vol1/qcow3</path>
    <format type='qcow2'/>
    <permissions>
      <mode>0600</mode>
      <owner>0</owner>
      <group>0</group>
    </permissions>
    <timestamps>
      <atime>1419333063.416933449</atime>
      <mtime>1419333063.285934984</mtime>
      <ctime>1419333063.285934984</ctime>
    </timestamps>
    <compat>1.1</compat>
    <features>
      <lazy_refcounts/>
    </features>
  </target>
</volume>


Change the bug status to verify.

Comment 5 errata-xmlrpc 2015-03-05 07:35:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0323.html


Note You need to log in before you can comment on or make changes to this bug.